IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSPLAN_PRIORITY')
 CREATE TABLE T_MSPLAN_PRIORITY (
	FID BIGINT DEFAULT 0 NOT NULL,
	FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
	FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
	FSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
	FCREATORID BIGINT DEFAULT 0 NOT NULL,
	FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
	FENABLE NVARCHAR(50) DEFAULT ' ' NOT NULL,
	FCREATETIME DATETIME,
	FMODIFYTIME DATETIME,
	FMASTERID BIGINT DEFAULT 0 NOT NULL,
	FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
	FORGID BIGINT DEFAULT 0 NOT NULL,
	FCTRLSTRATEGY NVARCHAR(50) DEFAULT ' ' NOT NULL,
	FSOURCEDATAID BIGINT DEFAULT 0 NOT NULL,
	FBITINDEX BIGINT DEFAULT 0 NOT NULL,
	FSOURCEBITINDEX BIGINT DEFAULT 0 NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSPLAN_PRIORITY_L')
 CREATE TABLE T_MSPLAN_PRIORITY_L (
	FPKID NVARCHAR(36) DEFAULT ' ' NOT NULL,
	FID BIGINT DEFAULT 0 NOT NULL,
	FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
	FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSPLAN_PRIORITYENTRY')
 CREATE TABLE T_MSPLAN_PRIORITYENTRY (
	FID BIGINT DEFAULT 0 NOT NULL,
	FENTRYID BIGINT DEFAULT 0 NOT NULL,
	FSEQ INT DEFAULT 0 NOT NULL,
	FELEMENTNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
	FELEMENTTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
	FOBJECTID NVARCHAR(36) DEFAULT ' ' NOT NULL,
	FPRIORITYDEFINE NVARCHAR(50) DEFAULT ' ' NOT NULL,
	FELEMENTFIELD NVARCHAR(50) DEFAULT ' ' NOT NULL,
	FELEMENTVAL NVARCHAR(300) DEFAULT ' ' NOT NULL,
	FSORT NVARCHAR(50) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSPLAN_PDEFINE')
 CREATE TABLE T_MSPLAN_PDEFINE (
	FID BIGINT DEFAULT 0 NOT NULL,
	FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
	FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
	FSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
	FCREATORID BIGINT DEFAULT 0 NOT NULL,
	FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
	FENABLE NVARCHAR(50) DEFAULT ' ' NOT NULL,
	FCREATETIME DATETIME,
	FMODIFYTIME DATETIME,
	FMASTERID BIGINT DEFAULT 0 NOT NULL,
	FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
	FORGID BIGINT DEFAULT 0 NOT NULL,
	FCTRLSTRATEGY NVARCHAR(50) DEFAULT ' ' NOT NULL,
	FSOURCEDATAID BIGINT DEFAULT 0 NOT NULL,
	FBITINDEX BIGINT DEFAULT 0 NOT NULL,
	FSOURCEBITINDEX BIGINT DEFAULT 0 NOT NULL,
	FPRIORITYTYPE BIGINT DEFAULT 0 NOT NULL,
	FFOBJECTID NVARCHAR(36) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSPLAN_PDEFINE_L')
 CREATE TABLE T_MSPLAN_PDEFINE_L (
	FPKID NVARCHAR(36) DEFAULT ' ' NOT NULL,
	FID BIGINT DEFAULT 0 NOT NULL,
	FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
	FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSPLAN_PDEFINEENTRY')
 CREATE TABLE T_MSPLAN_PDEFINEENTRY (
	FID BIGINT DEFAULT 0 NOT NULL,
	FENTRYID BIGINT DEFAULT 0 NOT NULL,
	FSEQ INT DEFAULT 0 NOT NULL,
	FDATAID BIGINT DEFAULT 0 NOT NULL,
	FPRIORITY BIGINT DEFAULT 0 NOT NULL
);



